<?php
/*****************************************************************************
 * AlbumButtonBox.php
 * Defines the AlbumButtonBox template.
 *
 * Kabuki CMS (C) 2013-2016, Aaron van Geffen
 *****************************************************************************/

class AlbumButtonBox extends SubTemplate
{
	public function __construct($buttons)
	{
		$this->buttons = $buttons;
	}

	protected function html_content()
	{
		echo '
			<div class="album_button_box">';

		foreach ($this->buttons as $button)
			echo '
				<a href="', $button['url'], '">', $button['caption'], '</a>';

		echo '
			</div>';
	}
}
